TypeScript SDK
import { Client } from "@notionhq/client"
const notion = new Client({ auth: process.env.NOTION_API_KEY })
const response = await notion.agents.updateCreditLimit({
agent_id: "1f0c7c06-781b-4987-9986-5c8dd3028013",
credit_limit: 500
})curl --request PATCH \
--url https://api.notion.com/v1/agents/{agent_id}/credit_limit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Notion-Version: <notion-version>' \
--data '
{
"credit_limit": 123
}
'import requests
url = "https://api.notion.com/v1/agents/{agent_id}/credit_limit"
payload = { "credit_limit": 123 }
headers = {
"Notion-Version": "<notion-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)
{
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credit_limit": 123,
"last_edited_time": "<string>"
}{
"object": "error",
"message": "<string>",
"status": 400,
"additional_data": {}
}{
"object": "error",
"message": "<string>",
"code": "unauthorized",
"status": 401,
"additional_data": {}
}{
"object": "error",
"message": "<string>",
"status": 403,
"additional_data": {}
}{
"object": "error",
"message": "<string>",
"status": 404,
"additional_data": {}
}{
"object": "error",
"message": "<string>",
"code": "row_limit_exceeded",
"status": 406,
"additional_data": {}
}{
"object": "error",
"message": "<string>",
"status": 409,
"additional_data": {}
}{
"object": "error",
"message": "<string>",
"code": "rate_limited",
"status": 429,
"additional_data": {}
}{
"object": "error",
"message": "<string>",
"code": "internal_server_error",
"status": 500,
"additional_data": {}
}{
"object": "error",
"message": "<string>",
"code": "service_unavailable",
"status": 503,
"additional_data": {}
}{
"object": "error",
"message": "<string>",
"code": "gateway_timeout",
"status": 504,
"additional_data": {}
}{
"object": "error",
"message": "<string>",
"code": "service_overload",
"status": 529,
"additional_data": {}
}Agents
Update an agent credit limit
Set or clear the credit limit for a Custom Agent.
PATCH
/
v1
/
agents
/
{agent_id}
/
credit_limit
TypeScript SDK
import { Client } from "@notionhq/client"
const notion = new Client({ auth: process.env.NOTION_API_KEY })
const response = await notion.agents.updateCreditLimit({
agent_id: "1f0c7c06-781b-4987-9986-5c8dd3028013",
credit_limit: 500
})Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The API version to use for this request. The latest version is 2026-03-11.
Available options:
2026-03-11 Path Parameters
The ID of the custom agent (a UUID). The personal agent (Notion AI) is not supported by this endpoint.
Body
application/json
The per-agent credit limit as a non-negative integer, or null to clear the limit.
⌘I